Package org.silverpeas.components.datawarning.model

## Class DataWarningResult

- java.lang.Object
- - org.silverpeas.components.datawarning.model.DataWarningResult

-     public class DataWarningResult
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataWarningResult​(boolean tr)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `computeTriggerResult​(DataWarning dataWarning)` |
    `String` | `getConditionDisplayedString​(org.silverpeas.kernel.bundle.SettingBundle rl)` |
    `DataWarningQuery` | `getDataQuery()` |
    `DataWarningQueryResult` | `getQueryResult()` |
    `long` | `getTrigger()` |
    `long` | `getTriggerActualValue()` |
    `long` | `getTriggerActualValue​(String userId)` |
    `int` | `getTriggerCondition()` |
    `boolean` | `getTriggerEnabled()` |
    `boolean` | `getTriggerEnabled​(String userId)` |
    `DataWarningQuery` | `getTriggerQuery()` |
    `boolean` | `getTriggerRequired()` |
    `DataWarningQueryResult` | `getTriggerResult()` |
    `boolean` | `hasError()` |
    `void` | `setDataQuery​(DataWarningQuery dwq)` |
    `void` | `setQueryResult​(DataWarningQueryResult dwqr)` |
    `void` | `setTrigger​(long t)` |
    `void` | `setTriggerActualValue​(long tav)` |
    `void` | `setTriggerCondition​(int tc)` |
    `void` | `setTriggerEnabled​(boolean te)` |
    `void` | `setTriggerQuery​(DataWarningQuery dwq)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataWarningResult

          public DataWarningResult​(boolean tr)

  - ### Method Detail

    - #### hasError

          public boolean hasError()

    - #### setTriggerQuery

          public void setTriggerQuery​(DataWarningQuery dwq)

    - #### getTriggerQuery

          public DataWarningQuery getTriggerQuery()

    - #### getTrigger

          public long getTrigger()

    - #### setTrigger

          public void setTrigger​(long t)

    - #### getTriggerCondition

          public int getTriggerCondition()

    - #### setTriggerCondition

          public void setTriggerCondition​(int tc)

    - #### getTriggerActualValue

          public long getTriggerActualValue()

    - #### getTriggerActualValue

          public long getTriggerActualValue​(String userId)

    - #### setTriggerActualValue

          public void setTriggerActualValue​(long tav)

    - #### getTriggerEnabled

          public boolean getTriggerEnabled()

    - #### getTriggerEnabled

          public boolean getTriggerEnabled​(String userId)

    - #### setTriggerEnabled

          public void setTriggerEnabled​(boolean te)

    - #### getTriggerRequired

          public boolean getTriggerRequired()

    - #### getTriggerResult

          public DataWarningQueryResult getTriggerResult()

    - #### computeTriggerResult

          public void computeTriggerResult​(DataWarning dataWarning)

    - #### setDataQuery

          public void setDataQuery​(DataWarningQuery dwq)

    - #### getDataQuery

          public DataWarningQuery getDataQuery()

    - #### getQueryResult

          public DataWarningQueryResult getQueryResult()

    - #### setQueryResult

          public void setQueryResult​(DataWarningQueryResult dwqr)

    - #### getConditionDisplayedString

          public String getConditionDisplayedString​(org.silverpeas.kernel.bundle.SettingBundle rl)